#include <iostream>

using namespace std;

int main()
{
int y=4,p,q,r,a,e=0,b,d;
bool w;
cin>>p>>q>>r>>a>>b;
d=a;
for(d;d<b;d++){
        w=false;
for(int c=2;c<d/2;c++){
    if(c%p==0){
y++;
    }
     if(c%q==0){
y++;
    }
     if(c%r==0){
y++;
    }else{
    if(d==2){
     e++;
    }
    else{
        if(d%c!=0){w=true;}

    }
    }
}
if(w==true){
    e++;
}
}
cout<<(b-a-e);
}